Pipe
====

Functionality
-------------

Making pipes from edges.   

Inputs
------

**Vers** - Vertices of piped object.   

**Edgs** - Edges of piped object.     

**diameter** - Diameter of pipe.     

**nsides** - Number of sides of pipe.     

**offset** - Offset on length to awoid self intersection.     

**extrude** - Scale the pipe on local X direction.   

  
Properties  
----------  
  
**close** - Close pipes between each other to make complete topology of united mesh.     

 
Outputs  
-------  
  
**Vers** - Vertices of output.     

**Pols** - Polygons of output.     

  
Examples  
--------  
  
.. image:: https://cloud.githubusercontent.com/assets/5783432/5291188/cf0f6eb8-7b57-11e4-9adf-025bbd1d74eb.png  
  :alt: noalt  
